<template>
  <div class="game-lobby-module-5">
    <div class="grid gap-4 game-lobby-container">
      <div
        v-for="(item, index) in moduleFiveDisplayTabs"
        :key="index"
        class="tab-type-item rounded-2xl overflow-hidden bg-cover relative"
      >
        <img
          class="absolute top-[50%] left-[50%] translate-x-[-50%] translate-y-[-50%] game-background-image transition-all duration-300"
          :src=" 
            getAssetImage(
              `assets/theme/common/LobbySettings/GameModule/bg_${item.Label.toLowerCase().replaceAll(
                ' ',
                '_'
              )}.png`
            )
          "
        />
        <img
          class="aspect-square game-star-image transition-all duration-300"
          :src="
            getAssetImage(
              `assets/theme/common/LobbySettings/GameModule/star_${item.Label.toLowerCase().replaceAll(
                ' ',
                '_'
              )}.png`
            )
          "
        />
        <div class="h-full z-10 relative">
          <div
            class="uppercase text-center font-bold text-white text-2xl relative pt-6"
          >
            {{ $t(item.Label) }}
          </div>
          <div class="front-display" />
          <el-button
            type="primary"
            class="absolute bottom-6 left-[50%] translate-x-[-50%] play-button"
            @click="onGoGameEntryFilter(item)"
            >{{ $t("play_now") }}</el-button
          >
        </div>
      </div>
    </div>
  </div>
</template>
<script setup lang="ts">
import { useGameModule } from "@/composables/lobby/useGameModule";

const { getAssetImage } = commonHelper;
const {
  getTopGameListInitial,
  getNewGameListInitial,
  getmoduleFiveDisplayTabs,
  moduleFiveDisplayTabs,
  onGoGameEntryFilter,
} = useGameModule();
getTopGameListInitial();
getNewGameListInitial();
getmoduleFiveDisplayTabs();
</script>
<style lang="scss">
.game-lobby-module-5 {
  .tab-type-item:first-of-type {
    height: auto;
    grid-row-start: 1;
    grid-row-end: 3;
    .game-background-image {
      height: 464px;
      width: 240px;
      max-width: unset;
    }
    .game-star-image {
      position: absolute;
      bottom: 0;
      left: 50%;
      transform: translateX(-50%);
      width: 240px;
      max-width: unset;
    }
  }
  .tab-type-item:not(:first-of-type) {
    width: auto;
    aspect-ratio: 1/1;
    .game-background-image {
      width: 224px;
      height: 224px;
      max-width: unset;
    }
    .game-star-image {
      position: absolute;
      bottom: 0;
      left: 50%;
      transform: translateX(-50%);
      width: calc(100% - 24px);
    }
  }
  .play-button {
    width: 90px;
    height: 36px;
    opacity: 0;
    pointer-events: none;
    transition: opacity 300ms;
    font-weight: 700;
  }
  .tab-type-item {
    .front-display {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: rgba(0, 0, 0, 0);
      transition: background-color 300ms;
    }
  }
  .game-lobby-container {
    grid-template-columns: 240px 1fr 1fr 1fr 1fr;
  }
  .tab-type-item:hover {
    .play-button {
      opacity: 1;
      pointer-events: unset;
    }
    .front-display {
      background: rgba(0, 0, 0, 0.47);
    }
    &:first-of-type {
      .game-background-image {
        height: 494px;
        width: 256px;
      }
      .game-star-image {
        width: 256px;
        bottom: -8px;
      }
    }
    &:not(:first-of-type) {
      .game-background-image {
        height: 240px;
        width: 240px;
      }
      .game-star-image {
        width: calc(100% - 16px);
        bottom: -8px;
      }
    }
  }
}
</style>
